#! /usr/bin/python

import os
import re

pat = re.compile(r'_(?:_|e)\((?:\'|")(.*?)(?:\'|")\s*,\s*(?:\'|")yak(?:\'|")\s*\)')

vpat = re.compile(r'Version:\s*(.*)')


s = file('yak-for-wordpress.php').read()
mat = vpat.search(s)
ver = mat.group(1)


resources = { }
for f in os.listdir('.'):
    if not f.endswith('.php'):
        continue
    
    s = file(f).read()
    
    for mat in pat.finditer(s):
        res = mat.group(1).lstrip().rstrip()
        resources[res.lower()] = res
        
resource_keys = resources.keys()
resource_keys.sort()

out = file('yak-XX.po', 'w')

out.write('''# 
# LANGUAGE (LOCALE) translation for YAK.
# See yak-for-wordpress.php for information and license terms
#
msgid ""
msgstr ""
"Project-Id-Version: YAK %s\\n"
"Report-Msgid-Bugs-To: \\n"
"POT-Creation-Date: 2006-02-05 17:21+1300\\n"
"PO-Revision-Date: 2006-02-05 17:21+1300\\n"
"Last-Translator: n/a\\n"
"Language-Team: English\\n"
"MIME-Version: 1.0\\n"
"Content-Type: text/plain; charset=UTF-8\\n"
"Content-Transfer-Encoding: 16bit\\n"
''' % ver)

for res in resource_keys:
    res = resources[res].replace('"', '\\"').replace("\\'", "'")
    out.write('''
msgid "%s"
msgstr ""
''' % (res))
    
out.close()
