<?php
/*
See yak-for-wordpress.php for information and license terms
*/
if (file_exists(ABSPATH . 'wp-includes/l10n.php')) {
    require_once(ABSPATH . 'wp-includes/l10n.php');
}
else {
    require_once(ABSPATH . 'wp-includes/wp-l10n.php');
}

global $model;

$shipping_notes = yak_get_option(SHIPPING_NOTES, '');

$default_special_instructions = stripslashes(yak_get_option(DEFAULT_SPECIAL_INSTRUCTIONS, ''));

$sep_billing = (yak_get_option(ADDRESS_SEPARATE_BILLING, '') == 'on');

$ptype = $_SESSION['payment_type'];

if (isset($model['error_message'])) {
?>

<div class="yak_error"><?php echo $model['error_message'] ?></div>

<?php
}
?>

<h3><?php _e('Confirm your order', 'yak'); ?></h3>

<?php 
include 'yak-view-address-snippet.php'; 
?>
        
<p>&nbsp;</p>

<h3><?php _e('Order Detail', 'yak'); ?></h3>

<form name="confirm2" method="post" action="<?php echo $_SERVER[PHP_SELF] ?>">
    <table class="yak_order">
        <tr>
            <th><?php _e('Title', 'yak'); ?></th>
            <th class="yak_numeric"><?php _e('Price', 'yak') ?></th>
            <th class="yak_numeric"><?php _e('Qty', 'yak') ?></th>
            <th class="yak_numeric"><?php _e('Subtotal', 'yak') ?></th>
        </tr>
        
<?php
    $total_price = 0;
    $total_quantity = 0;
    $total_weight = 0;
    
    if (!empty($model['promo_code'])) {
        $promo = yak_calc_promotion_discount($model['promo_code'], 0, 0);
    }
    else {
        $promo = null;
    }
    
    $total_items = 0.0;
    foreach ($model['items'] as $key => $item) {
        $total_items += $item->quantity;
    }
    
    foreach ($model['items'] as $key => $item) {
        $price = yak_calc_price($item->id, $item->cat_id);
        $total_price += ($price * $item->quantity);
        $item_price = $price * $item->quantity;
        $total_quantity += $item->quantity;
        $total_weight += $item->get_total_weight();
        
        $act_shipping_cost = 0;

        if ($promo != null) {
            if ($promo->promo_type == 'pricing_perc') {
                $item_price -= ($promo->value / 100.0) * $item_price;
            }
            else if ($promo->promo_type == 'pricing_val') {
                $item_price -= ($promo->value / $total_items) * $item->quantity;
            }
        }
?>
        <tr>
            <td class="left"><?php echo $item->name ?></td>
            <td class="yak_numeric"><?php echo yak_format_money($price) ?></td>
            <td class="yak_numeric"><?php echo $item->quantity ?></td>
            <td class="yak_numeric"><?php echo yak_format_money($item_price) ?></td>
        </tr>
<?php
    }
    
    $grand_total = $total_price;
    
    // calculate shipping
    if (yak_get_option(INCLUDE_SHIPPING_COSTS, 'no') == 'yes') {
        global $shipping_costs;
        
        $cty = str_replace(' ', '_', $_POST['shipping_country']);
        $act_shipping_cost = yak_calc_shipping($total_weight, $total_items, $cty);
        $grand_total += $act_shipping_cost;
        
        if ($promo != null) {
            $promo = yak_calc_promotion_discount($model['promo_code'], $total_price, $act_shipping_cost);
            $grand_total -= $promo->discount;
            
            if ($promo->promo_type == 'shipping_perc') {
                $act_shipping_cost -= ($promo->value / 100.0) * $act_shipping_cost;
            }
            else if ($promo->promo_type == 'shipping_val') {
                $act_shipping_cost -= $promo->value;
            }            
        }
?>
        <tr id="yak_shipping">
            <td class="left"><?php _e('Shipping costs', 'yak') ?></td>
            <td></td>
            <td></td>
            <td class="yak_numeric"><?php echo yak_format_money($act_shipping_cost) ?></td>
        </tr>
<?php
        if ($shipping_notes != '') {
?>
        <tr>
            <td class="yak_small"><?php echo $shipping_notes ?></td>
            <td colspan="3"></td>
        </tr>
<?php
        }
    }
?>
<?php
        if ($promo != null) {
?>
        <tr>
            <td class="left">Total Discount (<?php echo $promo->code . ' - ' . $promo->description ?>)</td>
            <td></td>
            <td></td>
            <td class="yak_numeric">-<?php echo yak_format_money($promo->discount) ?></td>
        </tr>
<?php
        }
?>
        <tr>
            <td class="yak_total" colspan="3"><?php _e('Total', 'yak') ?></td>
            <td class="yak_total"><?php echo yak_format_money($grand_total, true) ?></td>
        </tr>
        
        <tr>
            <td class="yak_small" colspan="4"><?php _e('Payment method', 'yak') ?>: <strong><?php echo $ptype ?></strong></td>
        </tr>
        
<?php
        if (!empty($default_special_instructions)) {
?>
        <tr>
            <td class="yak_small" valign="top"><?php echo _e('Special Instructions', 'yak') ?> : </td>
            <td colspan="3" align="right"><textarea class="yak_small" name="special_instructions" cols="32" rows="4" onclick="this.focus(); this.select()"><?php echo $default_special_instructions ?></textarea></td>
        </tr>        
<?php
        }
?>
        <tr>
            <td class="left" colspan="4"><button id="confirmorderbutton" class="yak_button" type="submit"><?php _e('Confirm order', 'yak') ?></button></td>
        </tr>

    </table>
    <input type="hidden" name="totalprice" value="<?php echo $grand_total ?>" />
    <input type="hidden" name="action" value="confirm2" />
    <input type="hidden" name="<?php echo $model['param_name'] ?>" value="<?php echo $model['post_id'] ?>" />
    <input type="hidden" name="shipping_country" value="<?php echo $_POST['shipping_country'] ?>" />

<?php
    if (count($selected_payment_options) == 1) {        
?>
    <input type="hidden" name="payment_type" value="<?php echo $selected_payment_options[0] ?>" />

<?php
    }
?>

</form>