<?php
/*
See yak-for-wordpress.php for information and license terms
*/
global $model;

if (!empty($_POST['year_order_date'])) {
    $year_order_date = $_POST['year_order_date'];
}
else {
    $year_order_date = date('Y');
}
?>

<div class="wrap">
<form method="post" action="#">
<h2>Orders</h2>
  
<div class="tablenav">
<div class="alignleft">
<table>
    <tr>
        <td>Type of order</td>
        <td><?php echo yak_html_select(null, 'status', yak_default($_POST['status'], 'unfulfilled'), array('fulfilled'=>'show fulfilled orders', 'unfulfilled'=>'show unfulfilled orders', 'cancelled'=>'show cancelled orders', 'error'=>'show error orders')) ?></td>
    </tr>
    <tr>
        <td>Date</td>
        <td><?php yak_date_control('order_date', $year_order_date, $_POST['month_order_date'], '', false) ?></td>
    </tr>
    <tr>
        <td>Order #</td>
        <td><input type="text" name="order_num" value="<?php echo $_POST['order_num'] ?>" /></td>
    </tr>
</table>
<input type="submit" name="orders_query" value="Find orders" class="button-secondary" />
</div>

<div class="alignright">
<input type="submit" name="orders_update" value="Update orders" class="button" />
</div>
<br class="clear" />
</div>

<p class="clear">&nbsp;</p>

<?php if ($orders) { ?>  
  <table class="widefat collapsible">
  <thead>
    <tr>
      <th scope="col">Order #</th>
      <th scope="col">Date</th>
      <th scope="col">Order Value</th>
      <th scope="col">Payment Type</th>
      <th scope="col">Funds Received</th>
      <th scope="col">Status</th>
      <th scope="col">Action</th>
      <th scope="col"></th>
    </tr>
    </thead>
    <tbody>
<?php foreach ($orders as $order) {
$class = 'even' == $class ? '' : 'even';
?>
    <tr class="<?php echo $class ?>">
      <td><?php echo $order->num ?><input type="hidden" name="id[]" value="<?php echo $order->id ?>" /></td>
      <td><?php echo $order->time ?></td>
      <td class="right"><?php echo yak_format_money($order->total + $order->shipping_cost, 2) ?></td>
      <td><?php echo $order->payment_type ?></td>
      <td><input class="right" type="text" name="funds_received[]" value="<?php echo $order->funds_received ?>" /></td>
      <td><?php echo $order->status ?></td>
      <td><?php echo yak_html_select(null, 'action[]', '', array( ''=>'', 'send_stock'=>'Send Stock', 'cancel_order'=>'Cancel Order', 'reset'=>'Reset')) ?></td>
      <td class="collapsible"></td>
    </tr>
    <tr class="expand-child <?php echo $class ?>">
      <td colspan="8">
        <table class="lowlight">
          <tr>
          <td width="25%">
              <h4>Shipping Address</h4>
              <pre><?php echo $order->address ?></pre>
          </td>
          <td width="25%">
              <h4>Billing Address</h4>
              <pre><?php echo $order->billing_address ?></pre>       
          </td>
          <td width="50%">   
              <h4>Order Details</h4>
              <table class="widefat">
                <thead>              
                <tr>
                  <th>Title</th>
                  <th>Qty</th>
                  <th>Price</th>
                  <th>Subtotal</th>
                </tr>
                </thead>
                <tbody>
                <?php foreach ($order->items as $item) {
                $classy = 'even' == $classy ? '' : 'even';?>
                <tr class="<?php echo $classy ?>">
                  <td><?php echo $item->itemname ?></td>
                  <td><?php echo $item->quantity ?></td>
                  <td class="yak_numeric"><?php echo yak_format_money($item->price) ?></td>
                  <td class="yak_numeric"><?php echo yak_format_money($item->total) ?></td>
                </tr>
                <?php } ?>
                </tbody>
              </table>
              <p><strong>Shipping costs:</strong> <?php echo yak_format_money($order->shipping_cost) ?><br />
              <strong>Total:</strong> <?php echo yak_format_money($order->total + $order->shipping_cost) ?></p>       
          </td>      
          </tr>      
          </table>

        <?php if (isset($order->meta) && count($order->meta) > 0) { ?>
        <h4>Additional Information</h4>
        <table width="100%" class="lowlight">
          <?php foreach ($order->meta as $meta) { ?>
          <tr>
            <td width="25%"><?php echo $meta->name ?></td>
            <td width="75%"><?php echo $meta->value ?></td>
          </tr>
          <?php } ?>
        </table>
        <?php } ?>
        
        <?php if (isset($order->log) && count($order->log) > 0) { ?>
        <h4>Order Log</h4>

        <table width="100%" class="lowlight">
          <?php foreach ($order->log as $log) { ?>
          <tr>
            <td width="25%"><?php echo $log->time ?></td>
            <td width="75%"><?php echo $log->message ?></td>
          </tr>
          <?php } ?>
        </table>
        <?php } ?>

        <p><strong>Add Note:</strong> <input type="text" name="note[]" value="" size="120" /></p>
       
      </td>
    </tr>
    <?php } ?>
  </tbody>
  </table>
 
<?php } ?>  
</form>
</div>
