<?php
/*
See yak-for-wordpress.php for information and license terms
*/
require_once('yak-utils.php');

global $model, $payment_options, $payment_url_examples, $countries, $promo_types, $currency_format, $money_format, $order_number_types;

$imgbase = get_bloginfo('wpurl') . '/wp-content/plugins/yak-for-wordpress/images';
?>

<?php wp_nonce_field('update-options') ?>

<div class="wrap">
    <input type="hidden" name="section" value="options" />

<div id="tabs">
    <ul class="tabs-nav">
        <li><a href="#fragment-1"><span>About</span></a></li>
        <li><a href="#fragment-2"><span>Basic</span></a></li>
        <li><a href="#fragment-3"><span>Products price/quantity</span></a></li>
        <li><a href="#fragment-4"><span>Download</span></a></li>
        <li><a href="#fragment-5"><span>Payments</span></a></li>
        <li><a href="#fragment-6"><span>Special</span></a></li>
        <li><a href="#fragment-7"><span>Advanced</span></a></li>
        <li><a href="#fragment-8"><span>Shipping</span></a></li>
        <li><a href="#fragment-9"><span>Promotions</span></a></li>
        <li><a href="#fragment-10"><span>Analytics</span></a></li>
    </ul>
        
<div class="clear"></div>

<div id="fragment-1" class="tabs-container">
<h2>About YAK for WordPress</h2>

<?php
    if (ini_get('session.auto_start') == '1') {
?>

    <p style="color: red; font-weight: bold">
        WARNING: session.auto_start is turned on in your php.ini file. YAK <i>may</i> not function correctly with this setting.<br />
        If you experience problems and don't have access to your php.ini, you may be able to resolve it by adding a <code>.htaccess</code>
        file in the WordPress root directory and adding: <code>php_value session.auto_start 0</code>
    </p>

<?php
    }
?>

    <p>YAK (Yet Another Kart) is a simple shopping cart plugin for WordPress, allowing a product to be associated
       with a post or a page, and provides support for online payment (such as PayPal), and downloadable content.<br />
       Basic step-by-step installation instructions can be found <a href="<?php bloginfo('wpurl') ?>/wp-content/plugins/yak-for-wordpress/install.txt" target="_BLANK">here</a>.
       For detailed instructions, including how to setup external payments gateways (such as Authorize.net, PayPal, etc), 
       consider purchasing the YAK <a href="http://www.briggs.net.nz/log/projects/yak-for-wordpress/handbook">Handbook</a>.</p>

    <h3>Coding</h3>
    
    <p><a href="http://www.briggs.net.nz/log">Jason R Briggs</a></p>

    <h3>Design</h3>
    
    <p><a href="http://vizualbod.com/">František Malina</a></p>
    
    <h3>Additional Libraries/Resources</h3>
    
    <p><a href="http://teethgrinder.co.uk/open-flash-chart/index.php">Open Flash Chart</a></p>
    
    <h3>International Team</h3>
    
    <p><a href="http://www.mobitemple.net">Ronny</a> (ja, tw, zh), Soichi Yokoyama (ja), AB (th), František Malina (sk, cs), MK (de), 
    Romaric Drigon (fr), Roberto Mogliotti (it), Josep Jordana (es), Tom Boersma (no), Marco Izzo (se),
    Maciej Wolfart (pl)</p>
    
    <h3>Testing, Ideas, Contributors, Investors, Generally-Helpful-People</h3>
    
    <p>AB, Lance Hodges, Luke Chao, František Malina, Ari Kontiainen, Chris Guthrie, Thomas Herold</p>

<p>&nbsp;</p>

<h3>Basic Installation</h3>

<p>For full installation details, covering all the flexible options YAK has to offer (external payments gateway, such as PayPal, 
Authorize.net, etc), consider purchasing the YAK Installation Handbook 
(<a href="http://www.briggs.net.nz/log/projects/yak-for-wordpress/handbook">http://www.briggs.net.nz/log/projects/yak-for-wordpress/handbook</a>).<br />
The steps below cover the initial setup and creating your first product.</p>

<ol class="install">
    <li>Now that you've activated YAK, you'll find a few new menu options, "Yak" (here!!) beneath Settings, and "Orders", 
        "Products" and "Sales Reports", beneath Tools.</li>

    <li>Create a new category "products", by selecting "Categories" (in the Posts menu).  Enter "products" as the name, "products"
        as the Category Slug, and make sure the Category Parent is set to None.</li>

    <li>Create another category "default" -- enter "default" as the name, "default" as the Category Slug and set the Category Parent
        to "products".</li>

    <li>Create a new page for your checkout.  In the Pages menu, select "Add New".  Give the checkout page a title (like "Checkout" 
    for example).  The content of the page should be only:<br />

<pre><code>
&#x005b;yak_checkout&#x005d;

</code></pre></li>

    <li>Create a new landing page for a type of payment you wish to accept.  There are a number of ways you can accept payment 
    (including PayPal), but for the purposes of this basic introduction, we'll stick with Deposit. Click "Add New", in 
    WordPress's "Pages" section.  Give the landing page a title, such as "Deposit".  For the content of the page, you should 
    provide instructions on how a customer is to pay by deposit.  For example:<br />

<pre><code>
Thanks for your order. Your order number is &#x005b;yak_order_id&#x005d;

You should receive a confirmation message shortly.

Please deposit the amount of &lt;strong&gt;&#x005b;yak_order_value&#x005d;&lt;/strong&gt;
into the following bank account:

Bank: SomeBank
Branch: Some Branch
Address:  blah blah blah blah
Account Number: 00-0000-000-000
SWIFT CODE: 00000
</code></pre></li>

    <li>Another example of a landing page might be paying by cheque.  Create another page in the same way as you created the 
    Deposit page using the text:<br />

<pre><code>
Please a cheque in the amount of &#x005b;yak_order_value&#x005d; to:

12 Vulcan Lane
Auckland City
Auckland

Please note reference number &#x005b;yak_order_id&#x005d; on the back of the cheque.
</code></pre>

Save this new page as before.<br />
<br />
Note that you'll probably want to exclude these pages from the main menu -- which you can do using the plugin 
Exclude-Pages (http://wordpress.org/extend/plugins/exclude-pages/)</li>

    <li>Configure how you want YAK to function, by clicking on the "Yak" link in the Settings menu. On the "Basic" tab:
        
        <ol>
            <li>Select a default country.</li>
            <li>Enter a confirmation email address, if you want to send order confirmations (if so, you'll also need to 
                enter a confirmation message).</li>
            <li>If you want to display the checkout immediately when a customer clicks the Buy button, select your 
                Checkout page from the drop down list for the option "Redirect on buy to".</li>
            <li>Most importantly: select the "products" category from the dropdown "Product category name", if it is
                not already selected.</li>
            <li>Click the Update Options button to save the changes.</li>
        </ol>
    </li>
    
    <li>On the Products price/quantity tab:
        
        <ol>
            <li>Set an automatic discount for your online products (if you don't want to discount your products, 
                set the fraction to 1).</li>
            <li>Enter a currency symbol ($, £, ¥, etc).</li>
            <li>Select the number of decimal places for displaying amounts.</li>
            <li>Select the currency format.</li>
            <li>If you want all new posts to be setup as products, you can enter an automatic quantity to use.</li>
        </ol>
    </li>
    
    <li>On the Payments tab:

        <ol>
            <li>Next to "Redirect URLs for Payment", in the box labeled "Type Name", enter the text "Deposit"</li>
            <li>For the "Redirect To" select the page you created earlier.</li>
            <li>Click the plus (+) button and do the same for the Cheque landing page you also created.</li>
        </ol>
    </li>
    
    <li>Create a new product by performing the following steps:
        
        <ol>
            <li>Write a new post (Click on "Add New" in the Posts section).</li>
            <li>Give your product a meaningful title.</li>
            <li>Enter details about the product.  Add the price to the post using the tag [yak_price], 
                and add a buy button using the tag [yak_buy].  For example:

<pre><code>
Here's a description of my product, which you should buy. No really, you should.

Price: &#x005b;yak_price&#x005d;

&#x005b;yak_buy&#x005d;
</code></pre>
            </li>
            <li>In the "YAK Product Details" tab below the post, give your product a price, and if necessary
                an alternative (display) title.</li>
            <li>Also in that section, click the plus button to add a product type.  In the dropdown, select the 
                "default" category you created earlier.  Set the quantity of this product that you have available.</li>
            <li>Publish the post</li>
        </ol>
    </li>
</ol>


<h3>Tags Reference</h3>

<p>The set of tags available to use in your posts/pages are as follows:</p>

<dl class="install">
    <dt>&#x005b;yak_checkout&#x005d;</dt>
        <dd>Display the yak checkout in the page</dd>
        
    <dt>&#x005b;yak_order_id&#x005d;</dt>
        <dd>Display the customers order id/number</dd>
        
    <dt>&#x005b;yak_order_value&#x005d;</dt>
        <dd>Display the total value of the current order</dd>
        
    <dt>&#x005b;yak_price&#x005d;<dt>
        <dd>Display the price of the product (including discount if set)</dd>
        
    <dt>&#x005b;yak_price_std&#x005d;</dt>
        <dd>Display the price of the product without discount</dd>
        
    <dt>&#x005b;yak_buy&#x005d;</dt>
        <dd>Display the buy button</dd>
        
    <dt>&#x005b;yak_buy_begin&#x005d;</dt>
        <dd>Include the 'html form' part of the buy button (use if you want to split up the button code)</dd>
        
    <dt>&#x005b;yak_buy_content&#x005d;</dt>
        <dd>Include the 'html input' part of the buy button</dd>
        
    <dt>&#x005b;yak_buy_end&#x005d;</dt>
        <dd>Include the end of the html form of the buy button</dd>

    <dt>&#x005b;yak_cleanup&#x005d;</dt>
        <dd>Cleanup order details (i.e. remove order details)</dd>

    <dt>&#x005b;yak_paypal_pdt_success&#x005d; and &#x005b;yak_paypal_pdt_failure&#x005d;</dt>
        <dd>Handler for PayPal's PDT (Payment Data Transfer) response.  Text after the first tag is displayed on a successful purchase, 
text after the second tag is displayed on an unsuccessful purchase.</dd>

    <dt>&#x005b;yak_product_page&#x005d;</dt>
        <dd>Display a full list of products (with paging if necessary)</dd>
</dl>

</div>

<div id="fragment-2" class="tabs-container">
<h2>Basic Settings</h2>
<form name="settingsFrm2" method="post" action="#fragment-2">

    <table class="form-table">
        <tr valign="top">
            <th scope="row">Quantity Input Size</th>
            <td><input type="text" name="<?php echo QUANTITY_INPUT_SIZE ?>" value="<?php echo $model[QUANTITY_INPUT_SIZE] ?>" /><br />
            <i>How many digits are allowed in a quantity input box?</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Cookie Lifetime (days)</th>
            <td><input type="text" name="<?php echo COOKIE_LIFETIME ?>" value="<?php echo $model[COOKIE_LIFETIME] ?>" /><br />
            <i>How long should the customer's address cookie be stored on their machine?</i></td>
        </tr>
    
        <tr valign="top">
            <th scope="row">Include Shipping Costs</th>
            <td><?php echo yak_html_select(null, INCLUDE_SHIPPING_COSTS, $model[INCLUDE_SHIPPING_COSTS], array("yes"=>"yes", "no"=>"no")) ?><br />
            <i>Include shipping costs in order totals?</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Default Country</th>
            <td><?php echo yak_html_select(null, DEFAULT_COUNTRY, $model[DEFAULT_COUNTRY], $countries) ?><br />
            <i>What country should be preselected in the dropdown?</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Show "Out of Stock" message</th>
            <td><?php echo yak_html_select(null, SHOW_OUT_OF_STOCK_MSG, $model[SHOW_OUT_OF_STOCK_MSG], array("yes"=>"yes", "no"=>"no")) ?><br />
            <i>Should a message be shown if a product is out of stock?</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Confirmation Email</th>
            <td><input type="text" name="<?php echo CONFIRMATION_EMAIL_ADDRESS ?>" value="<?php echo $model[CONFIRMATION_EMAIL_ADDRESS] ?>" /><br />
            <i>Leave this blank if you don't want to send a confirmation message. If you want to use a name as well
                as an email address use the format: Name &lt;email&gt;, for example Sales &lt;sales@yourdomain.com&gt;.</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Confirmation Subject</th>
            <td><input type="text" name="<?php echo CONFIRMATION_SUBJECT ?>" value="<?php echo $model[CONFIRMATION_SUBJECT] ?>" size="60" /><br />
            <i>Leave this blank to use the default (localised) subject "Order Confirmation".</i></td>
        </tr>
    
        <tr valign="top">
            <th scope="row">Confirmation Message</th>
            <td><textarea cols="60" rows="8" name="<?php echo CONFIRMATION_MESSAGE ?>"><?php echo $model[CONFIRMATION_MESSAGE] ?></textarea><br />
            <i>Either plain text or html. If the &lt;html&gt; tag is found YAK will automatically send the message as
                html.<br />
                Note, the following tags can be used in the message:<br />
            [order_id] for the order number,<br />
            [order_detail] for the order detail,<br />
            [html_order_detail] for the order detail in html table format,<br />
            [order_cost] for the total order cost,<br />
            [payment_type] for the payment type,<br />
            [shipping_address] for the shipping address,<br />
            [html_shipping_address] for the shipping address in html format,<br />
            [name] for the recipient name</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Default special instructions</th>
            <td><textarea cols="40" rows="4" name="<?php echo DEFAULT_SPECIAL_INSTRUCTIONS ?>"><?php echo $model[DEFAULT_SPECIAL_INSTRUCTIONS] ?></textarea></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Empty basket message</th>
            <td><textarea cols="40" rows="4" name="<?php echo EMPTY_BASKET_MESSAGE ?>"><?php echo $model[EMPTY_BASKET_MESSAGE] ?></textarea><br />
                <i>An alternative message to be displayed if the customer selects checkout without having added anything to their basket.
                   Leave blank to use the default message.</td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Redirect on buy to</th>
            <td><?php echo yak_html_select(null, REDIRECT_ON_BUY_TO, $model[REDIRECT_ON_BUY_TO], $model[PAGE_IDS]) ?><br />
            <i>Select the shopping cart page to redirect to when the customer clicks on the buy button (leave blank to
            disable redirection)</i></td>
        </tr>
                
        <tr valign="top">
            <th scope="row">Display product options</th>
            <td><input type="checkbox" name="<?php echo DISPLAY_PRODUCT_OPTIONS ?>" <?php yak_html_checkbox($model[DISPLAY_PRODUCT_OPTIONS]) ?> /><br />
            <i>Display product options drop-down if there is only a single option?</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Product category name</th>
            <td><?php echo yak_html_select(null, PRODUCT_CATEGORY_NAME, $model[PRODUCT_CATEGORY_NAME], $model[CATEGORIES]) ?><br />
            <i>The name of the category used for product posts (e.g. "products").  If you want a post to appear as a product you must use this category or a sub-category.</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Product page size</th>
            <td><input type="text" name="<?php echo PRODUCT_PAGE_SIZE ?>" value="<?php echo $model[PRODUCT_PAGE_SIZE] ?>" /><br />
            <i>The number of products that should appear on the product page before we start 'paging' (i.e. add previous/next links).</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Order number type</th>
            <td><?php echo yak_html_select(null, ORDER_NUMBER_TYPE, $model[ORDER_NUMBER_TYPE], $order_number_types) ?><br />
            <i>Order numbers can be a basic sequence, or a randomised unique number.</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Use SSL checkout</th>
            <td><input type="checkbox" name="<?php echo USE_SSL ?>" <?php yak_html_checkbox($model[USE_SSL]) ?> /><br />
            <i>Use SSL during the checkout process (this will be automatically switched on if you choose credit card payment).</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Allow the hidden YAK link</th>
            <td><input type="checkbox" name="<?php echo HIDDEN_LINK ?>" <?php yak_html_checkbox($model[HIDDEN_LINK]) ?> /><br />
            <i>Allow a hidden link, back to the YAK project page, on your product posts and the checkout page - this is to hopefully
            drive more search engine traffic in the right direction...</i></td>        
        </tr>
    </table>
    
    <div class="submit">
        <input type="submit" name="options_update2" value="Update options" onclick="return submitSettingsForm('settingsFrm2', 'fragment-2')" />
    </div>
</form>

</div>
 
<div id="fragment-3" class="tabs-container">
<h2>Products price/quantity</h2>
<form name="settingsFrm3" method="post" action="#fragment-3">
    
    <table class="form-table">
        <tr valign="top">
            <th scope="row">Auto discount</th><!--/label-->
            <td><input type="text" name="<?php echo AUTO_DISCOUNT ?>" value="<?php echo $model[AUTO_DISCOUNT] ?>" /><br />
            <i>Enter a fraction, or 1 for no discount</i></td>
        </tr>

        <tr valign="top">
            <th scope="row">Currency Symbol</th>
            <td><input type="text" name="<?php echo CURRENCY_SYMBOL ?>" value="<?php echo $model[CURRENCY_SYMBOL] ?>" /><br />
            <i>What currency symbol should be used in prices?  e.g. $, baht, £, €, etc</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Money Format</th>
            <td><?php echo yak_html_select(null, MONEY_FORMAT, $model[MONEY_FORMAT], $money_format); ?></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Currency Format</th>
            <td><?php echo yak_html_select(null, CURRENCY_FORMAT, $model[CURRENCY_FORMAT], $currency_format); ?></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Decimal point</th>
            <td><input type="text" name="<?php echo DECIMAL_POINT ?>" value="<?php echo $model[DECIMAL_POINT] ?>" size="1" /><br />
            <i>What symbol to use for the decimal point (if not entered, defaults to '.')</i></td>
        </tr>

        <tr valign="top">
            <th scope="row">Thousands separator</th>
            <td><input type="text" name="<?php echo THOUSANDS_SEPARATOR ?>" value="<?php echo $model[THOUSANDS_SEPARATOR] ?>" size="1" /><br />
            <i>What symbol to use for the thousands separator (if not entered, defaults to ',')</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Price rounding</th><!--/label-->
            <td><input type="text" name="<?php echo PRICE_ROUNDING ?>" value="<?php echo $model[PRICE_ROUNDING] ?>" /><br />
            <i>Enter the number of decimal places to round to (e.g. 2 decimal places, or 0 for currencies that don't typically use smaller units -- thai baht being an example)</i></td>
        </tr>

    </table>

    <h3>Automatic setup of products</h3>
    
    <table class="form-table">
        <tr valign="top">
            <th scope="row">Auto quantity</th>
            <td><input type="text" name="<?php echo AUTO_SET_QUANTITY ?>" value="<?php echo $model[AUTO_SET_QUANTITY] ?>" /><br />
            <i>All new posts get this quantity</i></td>
        </tr>
    </table>    
    
    <div class="submit">
        <input type="submit" name="options_update3" value="Update options" onclick="return submitSettingsForm('settingsFrm3', 'fragment-3')" />
    </div>
</form>
</div>

<div id="fragment-4" class="tabs-container">   
<h2>Download settings</h2>
<form name="settingsFrm4" method="post" action="#fragment-4">
    <table class="form-table">    
        <tr valign="top">
            <th scope="row">Download uri</th>
            <td><input type="text" name="<?php echo DOWNLOAD_URI; ?>" value="<?php echo $model[DOWNLOAD_URI] ?>" size="60" /><br />
            <i>Enter an override uri for the yak-dl.php file which will be sent to the customer. You only need to enter this if
            you use mod_rewrite (or equivalent) to change the actual path to the script. If that doesn't make sense to you, leave
            this blank.</i></td>
        </tr>

        <tr valign="top">
            <th scope="row">Download Email</th>
            <td><textarea cols="40" rows="4" name="<?php echo DOWNLOAD_EMAIL; ?>"><?php echo $model[DOWNLOAD_EMAIL] ?></textarea><br />
            <i>A message containing a list of download URIs for purchased products ([downloads] is replaced with the URI list)</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Download Email address</th>
            <td><input type="text" name="<?php echo DOWNLOAD_EMAIL_ADDRESS ?>" value="<?php echo $model[DOWNLOAD_EMAIL_ADDRESS] ?>" size="30" /><br />
            <i>Email address from which download messages are sent</i></td>
        </tr>
    </table>

    <div class="submit">
        <input type="submit" name="options_update4" value="Update options" onclick="return submitSettingsForm('settingsFrm4', 'fragment-4')" />
    </div>
</form>
</div>

<div id="fragment-5" class="tabs-container">      
<h2>Payment Settings</h2>
<form name="settingsFrm5" method="post" action="#fragment-5">
    <table class="form-table">
        <tr valign="top">
            <th scope="row"><strong>Redirects for Payment</strong></th>
            <td>
                <table id="payment_types" class="form-table">
                    <tr>
                        <th>Type Name <button class="image-button" type="button" onclick="javascript:copyRow('payment_types')"><img src="<?php echo $imgbase ?>/add.gif" alt="flip" border="0" /></button></th>
                        <th>Redirect To</th>
                    </tr>
<?php
if (isset($model[PAYMENT_TYPES])) {
    foreach ($model[PAYMENT_TYPES] as $key=>$value) { 
?>
                    <tr>
                        <td><input type="text" name="payment_type_names[]" value="<?php echo $key ?>" /></td>
                        <td><?php echo yak_html_select(null, 'payment_type_redirects[]', $value, $model[PAYMENT_PAGES]) ?></td>
                        <td></td>
                    </tr>
<?php 
    }
} 
?>
                    <tr>
                        <td><input type="text" name="payment_type_names[]" value="" /></td>
                        <td><?php echo yak_html_select(null, 'payment_type_redirects[]', null, $model[PAYMENT_PAGES]) ?></td>
                        <td></td>
                    </tr>
                </table>
                <br />
                <i>PayPal, Google, and Credit Card payment options, all require further configuration below.</i>
            </td>
        </tr>
    </table>
    
           
    <h3>General settings</h3>
    
    <table class="form-table">
        <tr>
            <th>External Currency code</th>
            <td><input type="text" name="<?php echo CURRENCY_CODE ?>" value="<?php echo $model[CURRENCY_CODE] ?>" /><br />
            <i>Currency codes are: AUD, NZD, CAD, EUR, GBP, JPY or USD.  Enter a currency code that is valid for your payment provider, be it Google Checkout or PayPal</i></td>
        </tr>
    </table>
    
    <h3>PayPal settings</h3>

    <table class="form-table">
        <tr>
            <th>Account</th>
            <td><input type="text" name="<?php echo PAYPAL_ACCOUNT ?>" value="<?php echo $model[PAYPAL_ACCOUNT] ?>" /><br />
            <i>Your account name is usually your email address.</i></td>
        </tr>
        <tr>
            <th>Return Page</th>
            <td><?php echo yak_html_select(null, PAYPAL_RETURN_URL, $model[PAYPAL_RETURN_URL], $model[PAGES]) ?><br />
            <i>The page to return to on a successful purchase.</i></td>
        </tr>
        <tr>
            <th>Cancel return Page</th>
            <td><?php echo yak_html_select(null, PAYPAL_CANCEL_RETURN_URL, $model[PAYPAL_CANCEL_RETURN_URL], $model[PAGES]) ?><br />
            <i>The page to return to if the customer cancels their purchase.</i></td>
        </tr>
        <tr>
            <th>Error Page</th>
            <td><?php echo yak_html_select(null, PAYPAL_ERROR_URL, $model[PAYPAL_ERROR_URL], $model[PAGES]) ?><br />
            <i>The page to return to if an error occurs during payments processing (only used for PayPal Pro integration).</i></td>
        </tr>
        <tr>
            <th>Identity token</th>
            <td><input type="text" name="<?php echo PAYPAL_IDENTITY_TOKEN ?>" value="<?php echo $model[PAYPAL_IDENTITY_TOKEN] ?>" size="70" /><br />
            <i>Used if you select PDT.</i></td>
        </tr>
        <tr>
            <th>Use PDT or IPN</th>
            <td><?php echo yak_html_select(null, PAYPAL_PAYMENT_NOTIFICATION, $model[PAYPAL_PAYMENT_NOTIFICATION], array(PAYPAL_IPN=>PAYPAL_IPN_TEXT, PAYPAL_PDT=>PAYPAL_PDT_TEXT)); ?></td>
        </tr>
        <tr>
            <th>Send shipping address?</th>
            <td><input type="checkbox" name="<?php echo PAYPAL_INCLUDE_SHIPPING_ADDRESS ?>" <?php yak_html_checkbox($model[PAYPAL_INCLUDE_SHIPPING_ADDRESS]) ?> /></td>
        </tr>
        <tr>
            <th>API Username</th>
            <td><input type="text" name="<?php echo PAYPAL_API_USERNAME ?>" value="<?php echo $model[PAYPAL_API_USERNAME] ?>" /><br />
            <i>The API username if you're using PayPal Payments Pro.</i></td>
        </tr>
        <tr>
            <th>API Password</th>
            <td><input type="text" name="<?php echo PAYPAL_API_PASSWORD ?>" value="<?php echo $model[PAYPAL_API_PASSWORD] ?>" /><br />
            <i>The PayPal Pro API Password.</i></td>
        </tr>
        <tr>
            <th>API Signature</th>
            <td><input type="text" name="<?php echo PAYPAL_API_SIGNATURE ?>" value="<?php echo $model[PAYPAL_API_SIGNATURE] ?>" size="70" /><br />
            <i>The PayPal Pro API Signature.</i></td>
        </tr>
    </table>
        
    <h3>Google settings</h3>

    <table class="form-table">
        <tr>
            <th>Merchant ID</th>
            <td><input type="text" name="<?php echo GOOGLE_MERCHANT_ID ?>" value="<?php echo $model[GOOGLE_MERCHANT_ID] ?>" /></td>
        </tr>
        <tr>
            <th>Merchant Key</th>
            <td><input type="text" name="<?php echo GOOGLE_MERCHANT_KEY ?>" value="<?php echo $model[GOOGLE_MERCHANT_KEY] ?>" /></td>
        </tr>
        <tr>
            <th>Shipping Method</th>
            <td><input type="text" name="<?php echo GOOGLE_SHIPPING_METHOD ?>" value="<?php echo $model[GOOGLE_SHIPPING_METHOD] ?>" /><br />
            <i>For example: Royal Mail Ground, UPS Air, etc</i></td>
        </tr>
    </table>
    
    <h3>Authorize.net settings</h3>
    
    <table class="form-table">
        <tr>
            <th>API Login ID</th>
            <td><input type="text" name="<?php echo AUTHORIZE_NET_LOGIN_ID ?>" value="<?php echo $model[AUTHORIZE_NET_LOGIN_ID] ?>" /></td>
        </tr>
        <tr>
            <th>Transaction Key</th>
            <td><input type="text" name="<?php echo AUTHORIZE_NET_TRANS_KEY ?>" value="<?php echo $model[AUTHORIZE_NET_TRANS_KEY] ?>" /></td>
        </tr>
        <tr>
            <th>Landing Page</th>
            <td><?php echo yak_html_select(null, AUTHORIZE_NET_LANDING_PAGE, $model[AUTHORIZE_NET_LANDING_PAGE], $model[PAGES]) ?><br />
            <i>Final page for a successful credit card order through authorize.net</i></td>
        </tr>
        <tr>
            <th>Error Page</th>
            <td><?php echo yak_html_select(null, AUTHORIZE_NET_ERROR_PAGE, $model[AUTHORIZE_NET_ERROR_PAGE], $model[PAGES]) ?><br />
            <i>Final page for an unsuccessful credit card order through authorize.net</i></td>
        </tr>
    </table>
    
    <h3>Manual Credit Card settings</h3>
    
    <table class="form-table">
        <tr>
            <th>Landing Page</th>
            <td><?php echo yak_html_select(null, CC_LANDING_PAGE, $model[CC_LANDING_PAGE], $model[PAGES]) ?><br />
            <i>Final page for a successful credit card order.</i></td>
        </tr>
    </table>
    
    <h3>Accounts Receivable settings</h3>
    
    <table class="form-table">
        <tr>
            <th>Landing Page</th>
            <td><?php echo yak_html_select(null, ACC_RECV_LANDING_PAGE, $model[ACC_RECV_LANDING_PAGE], $model[PAGES]) ?><br />
            <i>Final page for a successful Accounts Receivable order.</i></td>
        </tr>
        <tr>
            <th>Label</th>
            <td><input type="text" name="<?php echo ACC_RECV_LABEL ?>" value="<?php echo $model[ACC_RECV_LABEL] ?>" /><br />
            <i>Label to use on the accounts receivable form (for example, IMS, Premium account, etc)</i></td>
        </tr>
    </table>
    
    <div class="submit">
        <input type="submit" name="options_update5" value="Update options" onclick="return submitSettingsForm('settingsFrm5', 'fragment-5')" />
    </div>
</form>
</div>

<div id="fragment-6" class="tabs-container"> 
<h2>Special Options</h2>
<form name="settingsFrm6" method="post" action="#fragment-6">
    <table class="form-table">
        <tr valign="top">
            <th scope="row">Use special options if you want to offer free gifts with a product.</th>
            <td>Add a custom field "yak_special_options" to the product with values separated by new lines. These values will be split and used in a drop down box for the customer to select. When a customer selects a special option it is added to the meta data for the order.</td>
        </tr>
        
        <tr valign="top">
            <th scope="row"><strong>Special options text</strong></th>
            <td><input type="text" name="<?php echo SPECIAL_OPTIONS_TEXT ?>" value="<?php echo $model[SPECIAL_OPTIONS_TEXT] ?>" /><br />
            <i>The text to use as a label next to the special options dropdown box.</i></td>
        </tr>        
    </table>
    
    <div class="submit">
        <input type="submit" name="options_update6" value="Update options" onclick="return submitSettingsForm('settingsFrm6', 'fragment-6')" />
    </div>
</form>
</div>

<div id="fragment-7" class="tabs-container">     
<h2>Advanced Options</h2>
<form name="settingsFrm7" method="post" action="#fragment-7"> 
    <table class="form-table">
        <tr valign="top">
            <th scope="row"><strong>HTTP Proxy Address</strong></th>
            <td><input type="text" name="<?php echo HTTP_PROXY_URL ?>" value="<?php echo $model[HTTP_PROXY_URL] ?>" size="60" /><br />
            <i>The url to use on hosts which require http proxying of remote requests (note: currently only setup to work with <a href="http://curl.haxx.se/">curl</a> (if your server doesn't have <a href="http://www.php.net/curl">php-curl</a> installed this won't work at the moment).</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row"><strong>Remote Grab Server</strong></th>
            <td><input type="text" name="<?php echo REMOTE_GRAB_SERVER ?>" value="<?php echo $model[REMOTE_GRAB_SERVER] ?>" size="60" /><br />
            <i>The remote server to use in association with the [yak_get_remote...] tag.  Include protocol, domain and port (e.g. http://www.myserver.com:8080)</i></td>
        </tr>
        
        <tr valign="top">
            <th scope="row"><strong>Remote Grab Path</strong></th>
            <td><input type="text" name="<?php echo REMOTE_GRAB_PATH ?>" value="<?php echo $model[REMOTE_GRAB_PATH] ?>" /><br />
            <i>The remote path to use in association with the [yak_get_remote...] tag. For example:  /wordpress or /mysite</i></td>
        </tr>
        
    </table>
    
    <div class="submit">
        <input type="submit" name="options_update7" value="Update options" onclick="return submitSettingsForm('settingsFrm7', 'fragment-7')" />
    </div>
</form>    
</div>

<div id="fragment-8" class="tabs-container">    
<h2>Shipping Options</h2>
<form name="settingsFrm8" method="post" action="#fragment-8">
    <table class="form-table">
        <tr valign="top">
            <th scope="row">Shipping Address</th>
            <td>
            <label for="<?php echo ADDRESS_NAME ?>"> <input type="checkbox" id="<?php echo ADDRESS_NAME ?>" name="<?php echo ADDRESS_NAME ?>" <?php yak_html_checkbox($model[ADDRESS_NAME]) ?> />Include Name</label><br />
            <label for="<?php echo ADDRESS_PHONE ?>"> <input type="checkbox" id="<?php echo ADDRESS_PHONE ?>" name="<?php echo ADDRESS_PHONE ?>" <?php yak_html_checkbox($model[ADDRESS_PHONE]) ?> />Include Phone</label><br />
            <label for="<?php echo ADDRESS ?>"> <input type="checkbox" id="<?php echo ADDRESS ?>" name="<?php echo ADDRESS ?>" <?php yak_html_checkbox($model[ADDRESS]) ?> />Include Address</label><br />
            <label for="<?php echo ADDRESS_SEPARATE_BILLING ?>"> <input type="checkbox" id="<?php echo ADDRESS_SEPARATE_BILLING ?>" name="<?php echo ADDRESS_SEPARATE_BILLING ?>" <?php yak_html_checkbox($model[ADDRESS_SEPARATE_BILLING]) ?> /> Separate Billing Address</label><br />
            <i>What fields are required for shipping address (email is required by default).</i>
            </td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Shipping Notes</th>
            <td><textarea cols="40" rows="2" name="<?php echo SHIPPING_NOTES ?>"><?php echo $model[SHIPPING_NOTES] ?></textarea><br />
            <i>Notes about shipping to add to the bottom of the confirmation screen</i></td>
        </tr>
    </table>
    
    <h3>Default shipping</h3>

    <p>If you have a fixed price per order, use the first input box.  For fixed price based on the number of items being shipped, 
        use the second 2 boxes (representing the first item and subsequent items), and for price by weight (price per 100gms) 
        use the last 2 boxes.</p>
    
    <table class="widefat">
        <thead>
            <tr>
                <th></th>
                <th>Fixed Total Cost</th>
                <th>Fixed Cost per item<br />
                    (First/Subsequent)</th>
                <th>Cost per 100gm<br />
                    (First 100gm/Subsequent)</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <th></th>
                <td><input type="text" size="5" name="<?php echo DEFAULT_SHIPPING ?>" value="<?php echo $model[DEFAULT_SHIPPING] ?>" /></td>
                <td><input type="text" size="5" name="<?php echo DEFAULT_SHIPPING_FIXED_ITEM_FIRST ?>" value="<?php echo $model[DEFAULT_SHIPPING_FIXED_ITEM_FIRST] ?>" />
                    <input type="text" size="5" name="<?php echo DEFAULT_SHIPPING_FIXED_ITEM ?>" value="<?php echo $model[DEFAULT_SHIPPING_FIXED_ITEM] ?>" /></td>
                <td><input type="text" size="5" name="<?php echo DEFAULT_SHIPPING_WEIGHT_FIRST ?>" value="<?php echo $model[DEFAULT_SHIPPING_WEIGHT_FIRST] ?>" />
                    <input type="text" size="5" name="<?php echo DEFAULT_SHIPPING_WEIGHT ?>" value="<?php echo $model[DEFAULT_SHIPPING_WEIGHT] ?>" /></td>
            </tr>
        </tbody>
    </table>
        
    <h3>Shipping by country</h3>

    <p>If you have a fixed price for all orders to a particular country, use the first input box. For fixed price based on the number
        of items being shipped, use the second 2 boxes (representing the first item and subsequent items), and for price by
        weight (price per 100gms) use the last 2 boxes.</p>
           
    <table class="widefat">
        <thead>
            <tr>
                <th><input type="checkbox" onclick="selectAllCheckboxes('settingsFrm8', this, 'yak_cty_')" /> Select All Countries</th>
                <th>Fixed Total Cost</th>
                <th>Fixed Cost per item<br />
                    (First/Subsequent)</th>
                <th>Cost per 100gm<br />
                    (First 100gm/Subsequent)</th>
            </tr>
        </thead>
        <tbody>
<?php foreach ($countries as $country=>$ignore) { 
          $ctyname = $countries[$country];    
?>
            <tr>
                <th><input type="checkbox" name="<?php echo 'yak_cty_' . $country . '_enabled' ?>" <?php yak_html_checkbox($model['yak_cty_' . $country . '_enabled']) ?> /> <?php echo $ignore; ?></th>
                <td><input type="text" size="5" name="<?php echo 'yak_' . $country . '_shipping_fixed' ?>" value="<?php echo $model['yak_' . $country . '_shipping_fixed'] ?>" /></td>
                <td><input type="text" size="5" name="<?php echo 'yak_' . $country . '_shipping_fixeditemfirst' ?>" value="<?php echo $model['yak_' . $country . '_shipping_fixeditemfirst'] ?>" />
                    <input type="text" size="5" name="<?php echo 'yak_' . $country . '_shipping_fixeditem' ?>" value="<?php echo $model['yak_' . $country . '_shipping_fixeditem'] ?>" /></td>
                <td><input type="text" size="5" name="<?php echo 'yak_' . $country . '_shipping_weightfirst' ?>" value="<?php echo $model['yak_' . $country . '_shipping_weightfirst'] ?>" />
                    <input type="text" size="5" name="<?php echo 'yak_' . $country . '_shipping_weight' ?>" value="<?php echo $model['yak_' . $country . '_shipping_weight'] ?>" /></td>
            </tr>
<?php } ?>
        </tbody>
    </table>
    
    <input type="hidden" name="<?php echo SHIPPING_SET ?>" value="true" />

    <div class="submit">
        <input type="submit" name="options_update8" value="Update options" onclick="return submitSettingsForm('settingsFrm8', 'fragment-8')" />
    </div>
</form>
</div>

<div id="fragment-9" class="tabs-container">    
<h2>Promotions</h2>
<form name="settingsFrm9" method="post" action="#fragment-9">
    <table id="promotions" class="form-table">
        <tr>
            <th>Code <button class="image-button" type="button" onclick="javascript:copyRow('promotions')"><img src="<?php echo $imgbase ?>/add.gif" alt="flip" border="0" /></button></th>
            <th>Description</th>
            <th>Type</th>
            <th>Value</th>
            <th>Expiry<br /><span style="font-size: x-small">Month/Day/Year</span></th>
            <th></th>
        </tr>
        <?php
        if (isset($model[PROMOTIONS])) {
            foreach ($model[PROMOTIONS] as $promo) {
                $expiry_year = substr($promo->expiry_date, 0, 4);
                $expiry_month = substr($promo->expiry_date, 5, 2);
                $expiry_day = substr($promo->expiry_date, 8, 2);
        ?>
        <tr>
            <td><input type="text" name="promo_code[]" value="<?php echo $promo->code ?>" /><input type="hidden" name="promo_id[]" value="<?php echo $promo->promo_id ?>"></td>
            <td><input type="text" name="promo_description[]" value="<?php echo $promo->description ?>" maxlength="250" /></td>
            <td><?php echo yak_html_select(null, 'promo_type[]', $promo->promo_type, $promo_types) ?></td>
            <td><input type="text" name="promo_value[]" value="<?php echo $promo->value ?>" /></td>
                <td><?php yak_date_control('promo_expiry[]', $expiry_year, $expiry_month, $expiry_day) ?></td>
            <td><button class="image-button" type="button" onclick="javascript:removePromotion(this)"><img src="<?php echo $imgbase ?>/delete.gif" alt="flip" border="0" /></button></td>
        </tr>
        <?php 
            }
        } 
        ?>
        <tr>
            <td><input type="text" name="promo_code[]" value="" /><input type="hidden" name="promo_id[]" value=""></td>
            <td><input type="text" name="promo_description[]" value="" maxlength="250" /></td>
            <td><?php echo yak_html_select(null, 'promo_type[]', null, $promo_types) ?></td>
            <td><input type="text" name="promo_value[]" value="" /></td>
            <td><?php yak_date_control('promo_expiry[]', '', '', '') ?></td>
            <td><button class="image-button" type="button" onclick="javascript:removePromotion(this)"><img src="<?php echo $imgbase ?>/delete.gif" alt="flip" border="0" /></button></td>
        </tr>
        
    </table>
    
    <div class="submit">
        <input type="submit" name="options_update9" value="Update options" onclick="return submitSettingsForm('settingsFrm9', 'fragment-9')" />
    </div>
</form>
</div>

<div id="fragment-10" class="tabs-container">    
<h2>Google Analytics</h2>
<form name="settingsFrm10" method="post" action="#fragment-10">

    <table class="form-table">
        <tr valign="top">
            <th scope="row"><strong>Analytics Profile ID</strong></th>
            <td><input type="text" name="<?php echo GOOGLE_ANALYTICS_ID ?>" value="<?php echo $model[GOOGLE_ANALYTICS_ID] ?>" size="20" /><br />
            <i>Google Analytics Profile ID. Make sure that you include the tracker code for this ID in your theme.</i></td>
        </tr>
        
        <tr>
            <th scope="row"><strong>Tax Calc</strong></th>
            <td><input type="text" name="<?php echo GOOGLE_ANALYTICS_TAX_CALC ?>" value="<?php echo $model[GOOGLE_ANALYTICS_TAX_CALC] ?>" size="5" /><br />
                <i>Enter the fraction (i.e. 0.1) to use for tax calculation (this assumes a global tax rate... which is suboptimal and will need to be fixed
                    in a future release)</i></td>
        </tr>
        
        <tr>
            <th scope="row"><strong>Affiliation</strong></th>
            <td><input type="text" name="<?php echo GOOGLE_ANALYTICS_AFFILIATION ?>" value="<?php echo $model[GOOGLE_ANALYTICS_AFFILIATION] ?>" size="30" /><br />
                <i>Enter the affiliation (i.e. if you want to separate orders from your YAK store from
                    orders through another mechanism)</i></td>
        </tr>
        
    </table>

    <div class="submit">
        <input type="submit" name="options_update10" value="Update options" onclick="return submitSettingsForm('settingsFrm10', 'fragment-10')" />
    </div>
</form>
</div>

</div><!--/tabs-container-->

</div><!--/wrap-->

</form>